# Interface StringReference

All Superinterfaces:
  `Mirror, ObjectReference, Value`

public interface StringReference extends ObjectReference
A string object from the target VM. A StringReference is an `ObjectReference` with additional access to string-specific information from the target VM.

Since:
  1.3

- ## Field Summary

  ### Fields declared in interface ObjectReference

  `INVOKE_NONVIRTUAL, INVOKE_SINGLE_THREADED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `value()`
  Returns the StringReference as a String.

  ### Methods declared in interface Mirror

  `toString, virtualMachine`

  ### Methods declared in interface ObjectReference

  `disableCollection, enableCollection, entryCount, equals, getValue, getValues, hashCode, invokeMethod, isCollected, owningThread, referenceType, referringObjects, setValue, uniqueID, waitingThreads`

  ### Methods declared in interface Value

  `type`

- ## Method Details

  - ### value

    String value()
    Returns the StringReference as a String. The returned string is the equivalent of the mirrored string, but is an entity in the client VM and can be manipulated like any other string.
    Returns:
      the string value.